# -*- encoding: utf-8 -*-

from openerp import models, fields, api

class account_invoice(models.Model):
    _inherit = 'account.invoice'
    _name = 'account.invoice'

    contado = fields.Boolean('Contado')
    credito = fields.Boolean('Crédito')

    _defaults = {
        'contado': True
    }

    @api.one
    @api.onchange('credito')
    def cambiar_estado_credito(self):
        self.contado = not self.credito

    @api.one
    @api.onchange('contado')
    def cambiar_estado_contado(self):
        self.credito = not self.contado
